petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetPCSide

Gets the preconditioning side.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetPCSide(KSP ksp,PCSide *side)

Not Collective Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

### Output Parameter

side -the preconditioning side, where side is one of Many br

          PC_LEFT - left preconditioning (default)
          PC_RIGHT - right preconditioning
          PC_SYMMETRIC - symmetric preconditioning

Many br

Many br

### Keywords

KSP, get, right, left, symmetric, side, preconditioner, flag

### See Also

KSPSetPCSide()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages